创建 personInterest
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
创建新的 [personInterest] (。/resources/personinterest.md] in a user's profile.
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 |
权限(从最低特权到最高特权) |
| 委派(工作或学校帐户) |
User.ReadWrite、User.ReadWrite.All |
| 委派(个人 Microsoft 帐户) |
User.ReadWrite、User.ReadWrite.All |
| 应用程序 |
User.ReadWrite.All |
HTTP 请求
POST /me/profile/interests
POST /users/{id | userPrincipalName}/profile/interests
| 名称 |
说明 |
| Authorization |
Bearer {token}。必需。 |
| Content-Type |
application/json. Required. |
请求正文
在请求正文中,提供 personInterest 对象的 JSON 表示形式。
下表显示了在用户配置文件中的新 personInterest 对象中可以设置 的属性。
| 属性 |
类型 |
Description |
| allowedAudiences |
String |
能够查看实体中包含的值的访问群体。 继承自 itemFacet。 可取值为:me、family、contacts、groupMembers、organization、federatedOrganizations、everyone、unknownFutureValue。 |
| categories |
String 集合 |
包含用户与兴趣表关联的类别 (例如个人、) 。 |
| collaborationTags |
字符串集合 |
包含用户与兴趣相关联的体验方案标记。 集合中允许的值为 askMeAbout ableToMentor :、、、。 wantsToLearn wantsToImprove |
| 说明 |
String |
包含感兴趣的说明。 |
| displayName |
String |
包含兴趣的友好名称。 |
| inference |
inferenceData |
如果实体是由创建或修改应用程序推断出来的,则包含推断详细信息。 继承自 itemFacet。 |
| source |
personDataSource |
如果从另一个服务同步,则值源自何处。 继承自 itemFacet。 |
| WebUrl |
String |
包含指向有关感兴趣的网页或资源的链接。 |
响应
如果成功,此方法在响应正文中返回 响应代码和新 201 Created personInterest 对象。
示例
请求
下面展示了示例请求。
POST https://graph.microsoft.com/beta/me/profile/interests
Content-type: application/json
{
"categories": [
"Sports"
],
"description": "World's greatest football club",
"displayName": "Chelsea FC",
"webUrl": "https://www.chelseafc.com"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var personInterest = new PersonInterest
{
Categories = new List<String>()
{
"Sports"
},
Description = "World's greatest football club",
DisplayName = "Chelsea FC",
WebUrl = "https://www.chelseafc.com"
};
await graphClient.Me.Profile.Interests
.Request()
.AddAsync(personInterest);
const options = {
authProvider,
};
const client = Client.init(options);
const personInterest = {
categories: [
'Sports'
],
description: 'World\'s greatest football club',
displayName: 'Chelsea FC',
webUrl: 'https://www.chelseafc.com'
};
await client.api('/me/profile/interests')
.version('beta')
.post(personInterest);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/profile/interests"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
MSGraphPersonInterest *personInterest = [[MSGraphPersonInterest alloc] init];
NSMutableArray *categoriesList = [[NSMutableArray alloc] init];
[categoriesList addObject: @"Sports"];
[personInterest setCategories:categoriesList];
[personInterest setDescription:@"World's greatest football club"];
[personInterest setDisplayName:@"Chelsea FC"];
[personInterest setWebUrl:@"https://www.chelseafc.com"];
NSError *error;
NSData *personInterestData = [personInterest getSerializedDataWithError:&error];
[urlRequest setHTTPBody:personInterestData];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
PersonInterest personInterest = new PersonInterest();
LinkedList<String> categoriesList = new LinkedList<String>();
categoriesList.add("Sports");
personInterest.categories = categoriesList;
personInterest.description = "World's greatest football club";
personInterest.displayName = "Chelsea FC";
personInterest.webUrl = "https://www.chelseafc.com";
graphClient.me().profile().interests()
.buildRequest()
.post(personInterest);
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
requestBody := msgraphsdk.NewPersonInterest()
requestBody.SetCategories( []String {
"Sports",
}
description := "World's greatest football club"
requestBody.SetDescription(&description)
displayName := "Chelsea FC"
requestBody.SetDisplayName(&displayName)
webUrl := "https://www.chelseafc.com"
requestBody.SetWebUrl(&webUrl)
result, err := graphClient.Me().Profile().Interests().Post(requestBody)
Import-Module Microsoft.Graph.People
$params = @{
Categories = @(
"Sports"
)
Description = "World's greatest football club"
DisplayName = "Chelsea FC"
WebUrl = "https://www.chelseafc.com"
}
# A UPN can also be used as -UserId.
New-MgUserProfileInterest -UserId $userId -BodyParameter $params
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 201 Created
Content-type: application/json
{
"id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
"allowedAudiences": "organization",
"inference": null,
"createdDateTime": "2020-07-06T06:34:12.2294868Z",
"createdBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
"lastModifiedBy": {
"application": null,
"device": null,
"user": {
"displayName": "Innocenty Popov",
"id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
}
},
"categories": [
"Sports"
],
"description": "World's greatest football club",
"displayName": "Chelsea FC",
"webUrl": "https://www.chelseafc.com",
"collaborationTags": null
}